/**
 * Marlin 3D Printer Firmware
 * Copyright (c) 2020 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprinter and grbl.
 * Copyright (c) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

/**
 * ROBO DOS Hauptplatine V5.0 pin assignments
 */


#ifndef BOARD_NAME
 #define BOARD_NAME "ROBODOS_MEGA_V50"
#endif



//
// Limit Switches
//endstop pins for boards with only 3 connectors
//

#define X_STOP_PIN                            10  // PB4
#define Y_STOP_PIN                            11  // PB5
#define Z_STOP_PIN                            12  // PB6


//
// Steppers
//
#define X_STEP_PIN                            57  // PF3 / A3 
#define X_DIR_PIN                             54  // PF0 / A0 
#define X_ENABLE_PIN                          53  // PB0 
#define X_CS_PIN                              7    //PH4

#define Y_STEP_PIN                            58  // PF4 / A4 
#define Y_DIR_PIN                             55  // PF1 / A1
#define Y_ENABLE_PIN                          3   // PE5
#define Y_CS_PIN                              6    //PH3

#define Z_STEP_PIN                            59  // PF5 / A5
#define Z_DIR_PIN                             56  // PF2 / A2
#define Z_ENABLE_PIN                          2   // PE4
#define Z_CS_PIN                              5   //PE3 

//#define Z_MIN_PROBE_PIN                       25  // PA3 / AD3

//
// Temperature Sensors
//
//#define TEMP_0_PIN                             1  // PF1 / A1   Analog
//#define TEMP_BED_PIN                          14  // PK6 / A14  Analog

//
// Heaters / Fans
//
//#define HEATER_0_PIN                           4  // PG5 / PWM4
//#define HEATER_BED_PIN                         3  // PE5 / PWM3

//#define FAN_PIN                                5  // PE3 / PWM5

//
// Misc. Functions
//

#define SD_MISO_PIN                           50  // PB3
#define SD_MOSI_PIN                           51  // PB2
#define SD_SCK_PIN                            52  // PB1

//////////////////


#define E0_STEP_PIN        16   // PH1
#define E0_DIR_PIN         17   // PH0
#define E0_ENABLE_PIN      20   // PD1

//
// Temperature Sensors
//
#define TEMP_0_PIN          8//   // ADC8
#define TEMP_BED_PIN        7   // PF7 //ADC7

//
// Heaters / Fans
//
#define HEATER_0_PIN         9//63   // ADC9
//#define HEATER_1_PIN       44   // F6
//#define HEATER_2_PIN       45   // F7
//#define HEATER_BED_PIN     14   // C4 PWM3C

//#ifndef FAN_PIN
 // #define FAN_PIN          16   // C6 PWM3A
//#endif

//
// Misc. Functions
//
//#define SDSS               26   // B6 SDCS
//#define FILWIDTH_PIN        2   // Analog Input

